> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vlm.run/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Skill Download URL

> Get a presigned download URL for a skill zip file.

<RequestExample>
  ```python Python theme={"theme":{"light":"github-light","dark":"dark-plus"}}
  !pip install vlmrun

  from vlmrun.client import VLMRun

  client = VLMRun(api_key="<VLMRUN_API_KEY>")

  # Get a presigned download URL for a skill zip
  download = client.agent.skills.download(skill_id="<skill-id>")
  print(f"Download URL: {download.download_url}")
  print(f"Expires in: {download.expires_in} seconds")
  ```

  ```typescript Node.js SDK theme={"theme":{"light":"github-light","dark":"dark-plus"}}
  import { VlmRun } from "vlmrun";

  const client = new VlmRun({
    baseURL: "https://api.vlm.run/v1",
    apiKey: "<VLMRUN_API_KEY>"
  });

  const download = await client.agent.skills.download({ skillId: "<skill-id>" });
  console.log(download.downloadUrl);
  ```

  ```bash cURL theme={"theme":{"light":"github-light","dark":"dark-plus"}}
  curl -X GET "https://api.vlm.run/v1/skills/<skill-id>/download" \
    -H "Authorization: Bearer <VLMRUN_API_KEY>"
  ```
</RequestExample>


## OpenAPI

````yaml GET /v1/skills/{skill_id}/download
openapi: 3.1.0
info:
  title: VLM Run Unified Server
  description: Unified server for VLM Run Agent and API
  termsOfService: https://vlm.run/terms-of-service
  contact:
    name: VLM Run Support Team
    url: https://vlm.run/
    email: support@vlm.run
  version: 2026-05-19.0
servers: []
security: []
paths:
  /v1/skills/{skill_id}/download:
    get:
      tags:
        - skills
      summary: Get Skill Download URL
      description: Get a presigned download URL for a skill zip file.
      operationId: get_skill_download_url_v1_skills__skill_id__download_get
      parameters:
        - name: skill_id
          in: path
          required: true
          schema:
            type: string
            title: Skill Id
        - name: expires
          in: query
          required: false
          schema:
            type: integer
            description: URL expiration time in seconds
            default: 604800
            title: Expires
          description: URL expiration time in seconds
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SkillDownloadResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    SkillDownloadResponse:
      properties:
        id:
          type: string
          title: Id
          description: Skill ID
        name:
          type: string
          title: Name
          description: Skill name
        skill_version:
          type: string
          title: Skill Version
          description: Skill version
        download_url:
          type: string
          title: Download Url
          description: Presigned URL for downloading the skill zip
        expires_in:
          type: integer
          title: Expires In
          description: URL expiration time in seconds
      type: object
      required:
        - id
        - name
        - skill_version
        - download_url
        - expires_in
      title: SkillDownloadResponse
      description: Response with presigned download URL for a skill.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````